
from App.Security_Module.login import auth_routes
from App.Security_Module.UserAccess import check_user_access
from App.Security_Module.UserPassword import send_activation_email,password_confirm_routes,activate_account_routes,password_recovery_routes,Token_sign 

# Función para registrar todas las rutas de seguridad
def register_security_routes(app, mail):
    Token_sign(app)
    activate_account_routes(app)
    password_confirm_routes(app)
    auth_routes(app, mail)  
    password_recovery_routes(app,mail)
    return app